Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 611056 - Xorg stabilization for March 2017
Summary: Xorg stabilization for March 2017
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords: STABLEREQ
: 608362 608364 (view as bug list)
Depends on: 579126 584436 584866 587210 589598 CVE-2016-5407, CVE-2016-7942, CVE-2016-7943, CVE-2016-7944, CVE-2016-7945, CVE-2016-7946, CVE-2016-7947, CVE-2016-7948, CVE-2016-7949, CVE-2016-7950, CVE-2016-7953 600070 600250 607154 608068 608654 608856 609434 609704 612208
Blocks: CVE-2017-2624 CVE-2017-2626 612632
  Show dependency tree
 
Reported: 2017-02-26 23:58 UTC by Matt Turner
Modified: 2017-03-16 08:14 UTC (History)
1 user (show)

See Also:
Package list:
=dev-libs/libevdev-1.5.6 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =dev-libs/libinput-1.6.2 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =dev-libs/wayland-1.12.0 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =dev-libs/wayland-protocols-1.7 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =media-libs/libepoxy-1.4.1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =media-libs/mesa-13.0.5 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =media-libs/vulkan-loader-1.0.42.0 amd64 =sys-firmware/amdgpu-ucode-20161121 amd64 x86 =sys-firmware/radeon-ucode-20161005 amd64 x86 =sys-libs/libutempter-1.1.6-r2 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-apps/intel-gpu-tools-1.15 amd64 x86 =x11-apps/sessreg-1.1.1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-apps/xauth-1.0.10 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-apps/xconsole-1.0.7 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-base/xorg-drivers-1.19 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-base/xorg-server-1.19.2 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-drivers/xf86-input-evdev-2.10.5 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-drivers/xf86-input-joystick-1.6.3 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-drivers/xf86-input-keyboard-1.9.0 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-drivers/xf86-input-libinput-0.24.0 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-drivers/xf86-input-mouse-1.9.2 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-drivers/xf86-input-synaptics-1.9.0 amd64 arm ppc ppc64 x86 =x11-drivers/xf86-input-vmmouse-13.1.0-r1 amd64 x86 =x11-drivers/xf86-input-wacom-0.34.0 alpha amd64 arm ia64 ppc ppc64 sparc x86 =x11-drivers/xf86-video-amdgpu-1.2.0 amd64 x86 =x11-drivers/xf86-video-ati-7.8.0 alpha amd64 ia64 ppc ppc64 sparc x86 =x11-drivers/xf86-video-chips-1.2.7 amd64 ia64 ppc x86 =x11-drivers/xf86-video-glint-1.2.9 alpha amd64 ia64 ppc sparc x86 =x11-drivers/xf86-video-i740-1.3.6 amd64 ia64 x86 =x11-drivers/xf86-video-intel-2.99.917_p20170216 amd64 x86 =x11-drivers/xf86-video-mga-1.6.5 alpha amd64 ia64 ppc ppc64 sparc x86 =x11-drivers/xf86-video-nouveau-1.0.13 amd64 ppc ppc64 x86 =x11-drivers/xf86-video-nv-2.1.21 alpha amd64 ia64 ppc ppc64 x86 =x11-drivers/xf86-video-omap-0.4.5 arm =x11-drivers/xf86-video-openchrome-0.5.0 amd64 x86 =x11-drivers/xf86-video-qxl-0.1.5 amd64 x86 =x11-drivers/xf86-video-r128-6.10.2 alpha amd64 ia64 ppc ppc64 sparc x86 =x11-drivers/xf86-video-savage-2.3.9 alpha amd64 ia64 ppc sparc x86 =x11-drivers/xf86-video-siliconmotion-1.7.9 amd64 x86 =x11-drivers/xf86-video-sis-0.10.9 amd64 ia64 ppc x86 =x11-drivers/xf86-video-sisusb-0.9.7 alpha amd64 arm ia64 ppc ppc64 sparc x86 =x11-drivers/xf86-video-tdfx-1.4.7 alpha amd64 ia64 ppc sparc x86 =x11-drivers/xf86-video-trident-1.3.8 amd64 ia64 ppc x86 =x11-libs/cairo-1.14.8 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-libs/libdrm-2.4.75 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-libs/libICE-1.0.9-r1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-libs/libX11-1.6.5 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-libs/libxcb-1.12-r2 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-libs/libXfont-1.5.2 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-libs/libXfont2-2.0.1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-libs/libXi-1.7.9 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-libs/xcb-util-xrm-1.2 amd64 x86 =x11-misc/lndir-1.0.3-r1 ppc ppc64 sparc x86 =x11-misc/xbitmaps-1.1.1-r1 alpha arm hppa ia64 ppc ppc64 sparc x86 =x11-misc/xkeyboard-config-2.20 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-proto/presentproto-1.1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-proto/xproto-7.0.31 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =x11-terms/xterm-327 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 =dev-libs/libwacom-0.24 alpha amd64 arm ia64 ppc ppc64 sparc x86
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Turner gentoo-dev 2017-02-26 23:58:11 UTC
Let's start thinking about stabilizing x11 packages.
Comment 1 Matt Turner gentoo-dev 2017-02-26 23:58:34 UTC
*** Bug 608364 has been marked as a duplicate of this bug. ***
Comment 2 Matt Turner gentoo-dev 2017-02-26 23:58:41 UTC
*** Bug 608362 has been marked as a duplicate of this bug. ***
Comment 3 Matt Turner gentoo-dev 2017-02-27 00:03:11 UTC
Initial list.

We will certainly want to stabilize >xorg-server-1.19.1, given bug 609434.
Comment 4 Matt Turner gentoo-dev 2017-03-04 08:05:02 UTC
media-libs/vulkan-loader 1.0.39.1 -> 1.0.42.0
media-libs/libepoxy      1.4.0    -> 1.4.1
x11-base/xorg-server     1.19.1   -> 1.19.2
Comment 5 Matt Turner gentoo-dev 2017-03-04 16:10:11 UTC
Dropped LLVM-related blocking bugs, since that's going to take forever and the dependence on >=llvm-3.9.0 is only for radv. Dropped libclc from stabilization list.
Comment 6 Matt Turner gentoo-dev 2017-03-04 17:15:10 UTC
package.use.mask'd xauth's test USE flag, and dropped radv from the Mesa build.

We should be able to proceed with stabilization now.

Arches, do note that this bug is blocking two security bugs (bug 611350, bug 611354), so some priority would be appreciated.
Comment 7 Stabilization helper bot gentoo-dev 2017-03-04 18:16:43 UTC
An automated check of this bug failed - repoman reported dependency errors (71 lines truncated): 

> dependency.bad dev-libs/libinput/libinput-1.6.2.ebuild: DEPEND: amd64(default/linux/amd64/13.0) ['>=dev-libs/libwacom-0.20']
> dependency.bad dev-libs/libinput/libinput-1.6.2.ebuild: RDEPEND: amd64(default/linux/amd64/13.0) ['>=dev-libs/libwacom-0.20']
> dependency.bad dev-libs/libinput/libinput-1.6.2.ebuild: DEPEND: amd64(default/linux/amd64/13.0/desktop) ['>=dev-libs/libwacom-0.20']
Comment 8 Matt Turner gentoo-dev 2017-03-04 18:43:37 UTC
Add libwacom-0.24 to the list.
Comment 9 Stabilization helper bot gentoo-dev 2017-03-04 19:15:29 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 10 Tobias Klausmann gentoo-dev 2017-03-06 12:41:50 UTC
x11-drivers/xf86-input-wacom-0.34.0 has a compile error:

https://sourceforge.net/p/linuxwacom/bugs/329/?limit=25

I think we should bump to 0.35.0
Comment 11 Matt Turner gentoo-dev 2017-03-06 13:23:59 UTC
(In reply to Tobias Klausmann from comment #10)
> x11-drivers/xf86-input-wacom-0.34.0 has a compile error:
> 
> https://sourceforge.net/p/linuxwacom/bugs/329/?limit=25
> 
> I think we should bump to 0.35.0

Oh dang. Sorry for that, and thanks a lot for the pointer. The patch is a trivial addition, so I've added it to 0.34.0 with:

commit 9032760dedbfa7635de6687ab0b1e425cf6b4b7a
Author: Matt Turner <mattst88@gentoo.org>
Date:   Mon Mar 6 05:22:03 2017 -0800

    x11-drivers/xf86-input-wacom: Add support for xorg-server-1.19.
Comment 12 Tobias Klausmann gentoo-dev 2017-03-06 15:51:33 UTC
Stable on alpha.
Comment 13 Matt Turner gentoo-dev 2017-03-07 23:30:28 UTC
Removed xf86-video-geode from the list. It's already stable on its single keyworded platform.
Comment 14 Michael Weber (RETIRED) gentoo-dev 2017-03-08 07:36:52 UTC
arm ppc ppc64 stable.
Comment 15 Agostino Sarubbo gentoo-dev 2017-03-10 09:10:30 UTC
amd64 stable
Comment 16 Agostino Sarubbo gentoo-dev 2017-03-10 11:00:58 UTC
x86 stable
Comment 17 Agostino Sarubbo gentoo-dev 2017-03-10 12:53:51 UTC
sparc stable
Comment 18 Matt Turner gentoo-dev 2017-03-10 19:17:34 UTC
(In reply to Michael Weber from comment #14)
> arm ppc ppc64 stable.

Some x11-drivers/* were missed on ppc:

x11-drivers/xf86-video-chips-1.2.7           ppc
x11-drivers/xf86-video-glint-1.2.9           ppc
x11-drivers/xf86-video-savage-2.3.9          ppc
x11-drivers/xf86-video-sis-0.10.9            ppc
x11-drivers/xf86-video-tdfx-1.4.7            ppc
x11-drivers/xf86-video-trident-1.3.8         ppc
Comment 19 Michael Weber (RETIRED) gentoo-dev 2017-03-10 21:18:16 UTC
(In reply to Matt Turner from comment #18)
> x11-drivers/xf86-video-chips-1.2.7           ppc
> x11-drivers/xf86-video-glint-1.2.9           ppc
> x11-drivers/xf86-video-savage-2.3.9          ppc
> x11-drivers/xf86-video-sis-0.10.9            ppc
> x11-drivers/xf86-video-tdfx-1.4.7            ppc
> x11-drivers/xf86-video-trident-1.3.8         ppc

apologies, done.
Comment 20 Matt Turner gentoo-dev 2017-03-10 22:57:15 UTC
(In reply to Michael Weber from comment #19)

Thanks!
Comment 21 Agostino Sarubbo gentoo-dev 2017-03-11 18:59:35 UTC
ia64 stable
Comment 22 Xiami 2017-03-15 02:26:13 UTC
=x11-base/xorg-drivers-1.19 has a PDEPEND line "!<x11-drivers/xf86-video-vmware-13.2.1"

But none of >=x11-drivers/xf86-video-vmware-13.2.1 is stablized, causing emerge -auDN --with-bdeps=y @world failed due to Blocking Issues.

And xf86-video-virtualbox has the same problem.

Under amd64/x86 both video_cards_vmware and video_cards_virtualbox are unmasked in arch/{amd64,x86}/use.mask .
Comment 23 Matt Turner gentoo-dev 2017-03-15 03:04:04 UTC
(In reply to Xiami from comment #22)

Thank you for the heads up. I'm not sure how I missed those. I've filed bug 612670 to request their stabilizations.
Comment 24 Jeroen Roovers (RETIRED) gentoo-dev 2017-03-16 08:14:21 UTC
Stable for HPPA. Closing.